<?php
 class Personne {
   // -- Les propriétés  --
   private $_nom    ;
   private $_prenom ;
   private $_age    ;
   // -- Constructeur --
   function __construct($n,$p,$a)
   { $this->_nom    = $n ;
     $this->_prenom = $p ;
     $this->_age    = $a ;
   }
   // ------------------------------  
   // -- __get et __set méthodes magiques --
   public function __get($propriete) {
     if (property_exists($this, $propriete)) {
       return $this->$propriete;
     }
   }
   // -- Méthode d'affichage d'une personne --
   public function Affiche() {
     echo "<td>".$this->_nom."</td>";
     echo "<td>".$this->_prenom."</td>";
     echo "<td>".$this->_age."</td>";
   }
 }
?>